Update auf TYPO3 4.6 + Debian Lenny

Nur mal eben für zwischendurch für alle, die Debian auf ihrem Server laufen haben und auf die aktuellste Version von TYPO3 aktualisieren wollen. Diese verlangt PHP in der Version 5.3 oder höher. Debian Lenny (stable) kommt aktuell aber nur mit 5.2.x. Um dieses Problem zu beseitigen kann man sich eines zweiten Repositories bedienen, das für die stable Releases auch aktuellere Versionen gebräuchlicher Pakete bereit stellt.

Zunächst in der /etc/apt/sources.list folgendes eintragen:

deb http://php53.dotdeb.org lenny all
deb-src http://php53.dotdeb.org lenny all

(für alle die “stable” anstelle von “lenny” in ihrer sources.list haben, entsprechend hier anpassen).
Anschließend bringen die bekannten befehle das ersehnte PHP 5.3 auf den Server:

apt-get update
apt-get upgrade

Leave a Comment.